Doomsday Engine - Bug #874

[Hexen] Stalker gib levitates
2010-03-14 23:40 - vermil

Status: Closed Start date: 2010-03-14
Priority: Low % Done: 100%
Assignee:

Category: Vanilla emulation

Target version:

Description

In 1.9 Beta6.8 the Stalker incorrectly plays its melee swiping sound along with its raising sound when it rears up out of the water to
attack the player in melee.

Also, its arm gib seems to have the power to levitate when it should either barely move (as in the original HeXen) or disappear in
liquid like every other stalker gib piece does in Dday 1.9 beta6.8.

Labels: Hexen

History

#1 - 2010-03-12 13:14 - danij

| have cross referenced the play sound actions of the Stalker/Serpent against the original Hexen source and jHexen is playing all sounds for it in the
exact same places. Further investigation is necessary.

I've fixed the problem with the arm gib - due to a fixed/floating point mix up.

#2 - 2010-03-24 09:16 - danij

On inspection it would seem that this is not an isolated case.

The original games only allow one sound to play from a given mobj source at a time. It would seem that behaviour is not emulated when played with
Doomsday.

#3 - 2010-03-24 11:06 - danij

In addition most sounds played by the psprite action routines should be local-only and not heard by all players.

#4 - 2010-03-24 11:42 - skyjake

Enforced "one sound per origin" for 1.9.8.

#5 - 2012-03-02 15:03 - danij

- labels: jHexen Gameplay --> Hexen

#6 - 2013-10-22 19:06 - skyjake

- Tags set to Hexen, PlaySim

- Category set to Vanilla emulation

- Status changed from New to In Progress
- Target version deleted (1.8.6)

- % Done changed from 0 to 80

#7 - 2016-07-05 23:54 - skyjake

- Status changed from In Progress to Progressed

#8 - 2017-04-03 15:06 - skyjake
- Target version set to 2.1 (Late 2018)

#9 - 2018-11-23 08:34 - skyjake

- Status changed from Progressed to Closed
- Target version deleted (2.1 (Late 2018))
- % Done changed from 80 to 100

As far as | can see, there's nothing here to fix any longer.
